#ifndef DIRECTSHOW_H
#define DIRECTSHOW_H

#include <cv.h>
#include <highgui.h>

#define CAPTURE_SIZE_X  320
#define CAPTURE_SIZE_Y  240


class ds_Camera
{
public:
	/* Constructor */
	ds_Camera(void);

	/* Destructor */
	~ds_Camera(void);

	bool initialize(void);

	void finalize(void);

	int capture(void);

	int getImageSize(void);

	char *getImageData(void);

	CvSize getSize(void) {
	  return cvSize(width, height);
	}

	IplImage* getImage(void) {
	  return frame;
	}

/* Variables */
  int num;
  int id;
  int width, height;
  int fps;

private:
  int depth,channels;
  int image_size;

  IplImage *frame;
};


#endif
